App::Pinto::Command::list(3pm)

NAME
App::Pinto::Command::list - show the packages in a stack

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT list [OPTIONS]

DESCRIPTION
This command lists the packages that are currently registered on a particular stack, or all the packages in the entire repository. You can format the output to see the specific bits of information that you want.

For a large repository, it can take a long time to list everything. So consider using the "--packages" or "--distributions" options to narrow the scope.

COMMAND ARGUMENTS
As an alternative to the "--stack" option, you can also specify the stack as an argument. So the following examples are equivalent:

  pinto --root REPOSITORY_ROOT list --stack dev
  pinto --root REPOSITORY_ROOT list dev

A stack specified as an argument in this fashion will override any stack specified with the "--stack" option. If a stack is not specified by neither argument nor option, then it defaults to the stack that is currently marked as the default stack.

COMMAND OPTIONS

--all
-a  List every package in every distribution that exists in the entire repository, including distributions that are not currently registered on any stack. When the "--all" option is used, then the stack argument and "--stack" option are not allowed. Also note the pin status is indeterminable when using the "--all" option so it always appears as "?" (see the "--format" option below for more details about that).

--authors=PATTERN
-A PATTERN
    Limit the listing to records where the distribution's author identity matches "PATTERN". The "PATTERN" will be interpreted as a case-insensitive regular expression. Take care to use quotes if your "PATTERN" contains any special shell metacharacters.

--distributions=PATTERN
-D PATTERN
    Limit the listing to records where the distribution archive name matches "PATTERN". The "PATTERN" will be interpreted as a case-sensitive regular expression. Take care to use quotes if your "PATTERN" contains any special shell metacharacters.

--format FORMAT_SPECIFICATION
    Format of the output using "printf"-style placeholders. Valid placeholders are:

      Placeholder    Meaning
      -----------------------------------------------------------------------------
      %p             Package name
      %P             Package name-version
      %v             Package version
      %x             Package can be indexed:         (x) = true,      (-) = false
      %M             Package is the main module:     (m) = true,      (-) = false
      %y             Package is pinned:              (!) = true,      (-) = false
      %a             Distribution author
      %f             Distribution archive filename
      %m             Distribution maturity:          (d) = developer, (r) = release
      %h             Distribution index path [1]
      %H             Distribution physical path [2]
      %s             Distribution origin:            (l) = local,     (f) = foreign
      %S             Distribution source URL
      %d             Distribution name
      %D             Distribution name-version
      %V             Distribution version
      %u             Distribution URI
      %%             A literal '%'

      [1]: The index path is always a Unix-style path fragment, as it
           appears in the 02packages.details.txt index file.

      [2]: The physical path is always in the native style for this OS,
           and is relative to the root directory of the repository.

    You can also specify the minimum field widths and left or right justification, using the usual notation. For example, the default format looks something like this:

      [%m%s%y] %-40p %12v %a/%f

    When using the "--all" option, the pin status is indeterminable so it always appears as "?". Also, the indexable status is shown. So the default format looks something like this instead:

      [%m%s?%x] %-40p %12v %a/%f

--packages=PATTERN
-P PATTERN
    Limit the listing to records where the package name matches "PATTERN". The "PATTERN" will be interpreted as a case-sensitive regular expression. Take care to use quotes if your "PATTERN" contains any special shell metacharacters.

--pinned
    Limit the listing to records for packages that are pinned. This option has no effect when using the "--all" option.

--stack=NAME
-s NAME
    List the contents of the stack with the given NAME. Defaults to the name of whichever stack is currently marked as the default stack. Use the stacks command to see the stacks in the repository. This option cannot be used with the "--all" option.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.